Think you have a false positive on this rule?

Sid 1-44354

Message

FILE-OTHER WSDL soap endpoint location code injection attempt

Summary

Microsoft .NET Framework 2.0, 3.5, 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2 and 4.7 allow an attacker to execute code remotely via a malicious document or application, aka ".NET Framework Remote Code Execution Vulnerability."

Impact

CVSS base score 7.8 CVSS impact score 5.9 CVSS exploitability score 1.8 confidentialityImpact HIGH integrityImpact HIGH availabilityImpact HIGH

CVE-2017-8759:

CVSS base score 7.8

CVSS impact score 5.9

CVSS exploitability score 1.8

Confidentiality Impact HIGH

Integrity Impact HIGH

Availability Impact HIGH

Detailed information

CVE-2017-8759: Microsoft .NET Framework 2.0, 3.5, 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2 and 4.7 allow an attacker to execute code remotely via a malicious document or application, aka ".NET Framework Remote Code Execution Vulnerability."

Affected systems

  • microsoft .net_framework 2.0
  • microsoft .net_framework 3.5
  • microsoft .net_framework 3.5.1
  • microsoft .net_framework 4.5.2
  • microsoft .net_framework 4.6
  • microsoft .net_framework 4.6.1
  • microsoft .net_framework 4.6.2
  • microsoft .net_framework 4.7

Ease of attack

CVE-2017-8759:

Access Vector

Access Complexity

Authentication

False positives

None known

False negatives

None known

Corrective action

Upgrade to the latest non-affected version of the software.

Apply the appropriate vendor supplied patches.

Contributors

  • Talos research team.
  • This document was generated from data supplied by the national vulnerability database, a product of the national institute of standards and technology.
  • For more information see nvd.

Additional References

  • portal.msrc.microsoft.com/en-us/security-guidance/advisory/CVE-2017-8759